Package com.independentsoft.office.drawing

# Class Shape3D

java.lang.Object
com.independentsoft.office.drawing.Shape3D

public class Shape3D extends Object
The Class Shape3D.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shape3D()`
  Instantiates a new shape3 d.
  `Shape3D​(InternalXMLStreamReader reader)`
  Instantiates a new shape3 d.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shape3D`
  `clone()`
  `BottomBevel`
  `getBottomBevel()`
  Gets the bottom bevel.
  `ContourColor`
  `getContourColor()`
  Gets the contour color.
  `Unit`
  `getContourWidth()`
  Gets the contour width.
  `Unit`
  `getDepth()`
  Gets the depth.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `ExtrusionColor`
  `getExtrusionColor()`
  Gets the extrusion color.
  `Unit`
  `getExtrusionHeight()`
  Gets the extrusion height.
  `PresetMaterialType`
  `getMaterialType()`
  Gets the material type.
  `TopBevel`
  `getTopBevel()`
  Gets the top bevel.
  `void`
  `setBottomBevel​(BottomBevel bottomBevel)`
  Sets the bottom bevel.
  `void`
  `setContourColor​(ContourColor contourColor)`
  Sets the contour color.
  `void`
  `setContourWidth​(Unit contourWidth)`
  Sets the contour width.
  `void`
  `setDepth​(Unit depth)`
  Sets the depth.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setExtrusionColor​(ExtrusionColor extrusionColor)`
  Sets the extrusion color.
  `void`
  `setExtrusionHeight​(Unit extrusionHeight)`
  Sets the extrusion height.
  `void`
  `setMaterialType​(PresetMaterialType materialType)`
  Sets the material type.
  `void`
  `setTopBevel​(TopBevel topBevel)`
  Sets the top bevel.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Shape3D

    public Shape3D()
    Instantiates a new shape3 d.

  - ### Shape3D

    public Shape3D​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new shape3 d.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Shape3D clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBottomBevel

    public BottomBevel getBottomBevel()
    Gets the bottom bevel.
    Returns:
      the bottom bevel

  - ### setBottomBevel

    public void setBottomBevel​(BottomBevel bottomBevel)
    Sets the bottom bevel.
    Parameters:
      `bottomBevel` - the new bottom bevel

  - ### getTopBevel

    public TopBevel getTopBevel()
    Gets the top bevel.
    Returns:
      the top bevel

  - ### setTopBevel

    public void setTopBevel​(TopBevel topBevel)
    Sets the top bevel.
    Parameters:
      `topBevel` - the new top bevel

  - ### getContourColor

    public ContourColor getContourColor()
    Gets the contour color.
    Returns:
      the contour color

  - ### setContourColor

    public void setContourColor​(ContourColor contourColor)
    Sets the contour color.
    Parameters:
      `contourColor` - the new contour color

  - ### getExtrusionColor

    public ExtrusionColor getExtrusionColor()
    Gets the extrusion color.
    Returns:
      the extrusion color

  - ### setExtrusionColor

    public void setExtrusionColor​(ExtrusionColor extrusionColor)
    Sets the extrusion color.
    Parameters:
      `extrusionColor` - the new extrusion color

  - ### getContourWidth

    public Unit getContourWidth()
    Gets the contour width.
    Returns:
      the contour width

  - ### setContourWidth

    public void setContourWidth​(Unit contourWidth)
    Sets the contour width.
    Parameters:
      `contourWidth` - the new contour width

  - ### getExtrusionHeight

    public Unit getExtrusionHeight()
    Gets the extrusion height.
    Returns:
      the extrusion height

  - ### setExtrusionHeight

    public void setExtrusionHeight​(Unit extrusionHeight)
    Sets the extrusion height.
    Parameters:
      `extrusionHeight` - the new extrusion height

  - ### getMaterialType

    public PresetMaterialType getMaterialType()
    Gets the material type.
    Returns:
      the material type

  - ### setMaterialType

    public void setMaterialType​(PresetMaterialType materialType)
    Sets the material type.
    Parameters:
      `materialType` - the new material type

  - ### getDepth

    public Unit getDepth()
    Gets the depth.
    Returns:
      the depth

  - ### setDepth

    public void setDepth​(Unit depth)
    Sets the depth.
    Parameters:
      `depth` - the new depth